package cz.muni.sutralog.database

import androidx.room.Entity
import androidx.room.PrimaryKey
import java.time.LocalDate

@Entity
class RockEntity(
    @PrimaryKey(autoGenerate = true)
    val id: Long = 0,
    val folderPath: String? = null,
    var pictureName: String? = null,
    var categoryId: Long,

    var name: String,
    var count: Int? = null,
    var locality: String = "",
    var latitude: Double? = null,
    var longitude: Double? = null,
    var from: String = "",
    var date: LocalDate? = null,
    var where: String = "",
    var description: String = "",
    var comment: String = "",
    var color: Int
)